curs_addstr(3X)

NAME
addstr, addnstr, waddstr, waddnstr, mvaddstr, mvaddnstr, mvwaddstr, mvwaddnstr - add a string to a curses window and advance the cursor

SYNOPSIS
#include <curses.h>

int addstr(const char *str);
int mvaddstr(int y, int x, const char *str);
int mvwaddstr(WINDOW *win, int y, int x, const char *str);
int waddstr(WINDOW *win, const char *str);

int addnstr(const char *str, int n);
int mvaddnstr(int y, int x, const char *str, int n);
int mvwaddnstr(WINDOW *win, int y, int x, const char *str, int n);
int waddnstr(WINDOW *win, const char *str, int n);

DESCRIPTION
waddstr writes the characters of the (null-terminated) string str to the window win. Its process is similar to calling waddch(3X) for each char in str. Control characters are processed as in waddch(3X).

waddnstr writes at most n characters, or until a terminating null character occurs in str. If n is -1, waddnstr writes the entire string.

ncurses(3X) describes the variants of these functions.

RETURN VALUE
These functions return OK on success and ERR on failure.

X/Open Curses does not specify any error conditions. ncurses returns an error if the window pointer is NULL, if the string pointer is NULL, or if an internal waddch(3X) call returns an error.

Functions prefixed with “mv” first perform cursor movement and fail if the position (y, x) is outside the window boundaries.

NOTES
All of these functions except waddnstr may be macros.

PORTABILITY
X/Open Curses, Issue 4 describes these functions.

SEE ALSO
curs_addwstr(3X) describes comparable functions of the ncurses library in its wide-character configuration (ncursesw).

curses(3X), curs_addch(3X), curs_addchstr(3X)